Subject: Re: [RFC] bpf: change bpf syacall to use u64 temp variables

From: Daniel Borkmann <[email-masked]>
Date: Mon, 19 Oct 2015 10:55:22 +0200

On 10/19/2015 09:10 AM, yalin wang wrote:
> This patch change map_lookup_elem() and map_update_elem() function
> to use u64 temp variable if the key_size or value_size is less than
> u64, we don't need use kmalloc() for these small variables.
>
> Signed-off-by: yalin wang <[email-masked]>

 From an application PoV that has to make the bpf(2) syscall, how
much do we actually gain from this? I'm curious, did you perform
some benchmarks that show a noticeable difference?